> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.melonly.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get server LOAs

> Get paginated list of LOAs (Leave of Absence) for a server.



## OpenAPI

````yaml GET /server/loas
openapi: 3.0.0
info:
  contact: {}
  description: Melonlys Public API
  termsOfService: http://melonly.xyz/terms
  title: Melonly API
  version: '1.0'
servers:
  - url: https://api.melonly.xyz/api/v1
security: []
paths:
  /server/loas:
    get:
      tags:
        - loas
      summary: Get server LOAs
      description: Get paginated list of LOAs (Leave of Absence) for a server.
      parameters:
        - description: Page number
          in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
        - description: Items per page
          in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
      responses:
        '200':
          description: successfully retrieved paginated loas
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.LOAListResponse'
        '400':
          description: invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.BadRequestResponse'
        '401':
          description: authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.UnauthorizedResponse'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.LOAListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/models.LOAAPIResponse'
          type: array
        page:
          example: 1
          type: integer
        pageSize:
          example: 10
          type: integer
        total:
          example: 100
          type: integer
        totalPages:
          example: 10
          type: integer
      type: object
    models.BadRequestResponse:
      properties:
        error:
          example: invalid request parameters
          type: string
      type: object
    models.UnauthorizedResponse:
      properties:
        error:
          example: authorization header is required
          type: string
      type: object
    models.InternalServerErrorResponse:
      properties:
        error:
          example: internal server error
          type: string
      type: object
    models.LOAAPIResponse:
      properties:
        cancelledAt:
          type: integer
        createdAt:
          type: integer
        denyReason:
          type: string
        endAt:
          type: integer
        endedAt:
          type: integer
        endedBy:
          type: string
        expiredAt:
          type: integer
        extensionRequests:
          items:
            type: object
          type: array
        id:
          type: string
        memberId:
          type: string
        reason:
          type: string
        reasonHistory:
          items:
            type: object
          type: array
        reviewedAt:
          type: integer
        reviewedBy:
          type: string
        serverId:
          type: string
        startAt:
          type: integer
        startType:
          type: integer
        startedAt:
          type: integer
        status:
          type: integer
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and the API token.
      in: header
      name: Authorization
      type: apiKey

````